## libsecp256k1 0.1~20160216

=== debian/changelog ===
libsecp256k1 (0.1~20160216-3) unstable; urgency=medium

  * Relax symbols check on experimental builds.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2016 19:16:59 +0200

libsecp256k1 (0.1~20160216-2) unstable; urgency=medium

  * Update copyright info:
    + Fix URLs to upstream source and issue tracker.
  * Build with --disable-jni, to avoid broken links to disabled
    experimental modules.
  * Stop build-depend on default-jdk-headless or libguava-java.
  * Drop JNI-related symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Apr 2016 03:30:51 +0200

libsecp256k1 (0.1~20160216-1) unstable; urgency=low

  * Initial release.
    Closes: bug#819887.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Apr 2016 20:23:38 +0200
