## libsecp256k1 0.1~20161228

=== debian/changelog ===
libsecp256k1 (0.1~20161228-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.
    + Remove Schnorr experiment.
    + Add exhaustive tests.
    + ecdsa_impl: replace scalar if-checks with VERIFY_CHECKs in
      ecdsa_sig_sign.
    + ecdh: test NULL-checking of arguments.
    + recovery: add tests to cover API misusage.
    + configure: add --enable-coverage to set options for coverage
      analysis.
    + group_impl.h: remove unused `secp256k1_ge_set_infinity` function.
    + Make the libcrypto detection fail the newer API.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Filter any .git* file.
  * Drop obsolete lintian override regarding debhelper 9.
  * Unfuzz patch.
  * Update copyright info: Extend coverage of Debian packaging.
  * Build-depend on libssl-dev (not libssl1.0-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 22:34:00 +0100

libsecp256k1 (0.1~20161026-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.
    + Fix secp256k1_fe_inv_all_var parameter order.
    + Fix secp256k1_ge_set_all_gej_var parameter order.
    + Fix secp256k1_ge_set_table_gej_var parameter order.
    + Remove guarantees about memcmp-ability.
    + Fix auto-enabled static precompuatation.
    + Update scalar_4x64_impl.h.
    + Restructure nonce clearing.

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution string @PACKAGE@.
  * Refresh patch.
  * Simplify README.source: Skip options set in gbp.conf.
  * Update copyright info:
    + Use license shortname FSFAP (not FSFUL~generic).
    + Add another copyright holder (no new license).
  * Build-depend on libssl1.0-dev (with older libssl-dev as fallback):
    OpenSSL 1.1 not yet supported upstream.
    Closes: Bug#828412. Thanks to Kurt Roeckx.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Nov 2016 01:49:54 +0100

libsecp256k1 (0.1~20160804-1) unstable; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.
    + align shared files copyright/comments to bitcoinj's.
    + Add some missing VERIFY_CHECK(ctx != NULL) for functions that use
      ARG_CHECK.
    + bench_ecdh: fix call to secp256k1_context_create.
    + Cast pointers through uintptr_t under JNI.
    + Update bitcoin-core GitHub links.
    + JNI: Only call ecdsa_verify if its inputs parsed correctly.
    + Add testcase which hits additional branch in secp256k1_scalar_sqr.
    + Fix state size in sha256 struct.
    + Fix undefs in hash_impl.h.
    + ARM assembly implementation of field_10x26 inner.
    + Test whether ECDH and Schnorr are enabled for JNI.
    + build: verify that the native compiler works for static precomp.
    + ecmult_const: unify endomorphism and non-endomorphism skew cases.
    + Add Jacobi symbol test via GMP.
    + Add function for testing quadratic residue field/group elements.
    + configure: add flag to disable OpenSSL tests.
    + Make secp256k1_fe_sqrt constant time.
    + Add string.h include to ecmult_impl.

  [ Jonas Smedegaard ]
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).
  * Update copyright info: Adjust some files now licensed Apache-2.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Aug 2016 13:53:04 +0200
