=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+ licensecheck,
  libtool,
  automake,
  autoconf,
@@ -10,8 +10,8 @@
  dh-buildinfo,
  pkg-config,
  libgmp-dev,
+ autoconf-archive,
  libssl-dev,
- autoconf-archive,
  dpkg-dev (>= 1.17.0),
  d-shlibs (>= 0.50),
  pkg-kde-tools
