=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2016-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for secp256k1
 #
 # This program is free software; you can redistribute it and/or modify
@@ -41,11 +41,8 @@
 
 DEB_UPSTREAM_URL = https://github.com/bitcoin/secp256k1/archive
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
-CDBS_BUILD_DEPENDS +=, pkg-config, libgmp-dev, libssl-dev, autoconf-archive
+CDBS_BUILD_DEPENDS +=, pkg-config, libgmp-dev, autoconf-archive
+CDBS_BUILD_DEPENDS +=, libssl-dev
 
 # resolve if release is experimental
 CDBS_BUILD_DEPENDS +=, dpkg-dev (>= 1.17.0)
