=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsecp256k1
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.123~),
- licensecheck,
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -12,15 +11,14 @@
  libgmp-dev,
  autoconf-archive,
  libssl-dev,
- dpkg-dev (>= 1.17.0),
- d-shlibs (>= 0.50),
+ d-shlibs,
  pkg-kde-tools
-Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/bitcoin/secp256k1
-Vcs-Git: https://anonscm.debian.org/git/pkg-bitcoin/libsecp256k1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/libsecp256k1.git
+Vcs-Git: https://salsa.debian.org/cryptocoin-team/libsecp256k1.git
+Vcs-Browser: https://salsa.debian.org/cryptocoin-team/libsecp256k1
 
 Package: libsecp256k1-0
 Section: libs
