=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,14 @@
 
 DEB_UPSTREAM_URL = https://github.com/bitcoin/secp256k1/archive
 
+# suppress checking license during build
+DEB_COPYRIGHT_CHECK_LICENSECHECK =
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
+
 CDBS_BUILD_DEPENDS +=, pkg-config, libgmp-dev, autoconf-archive
 CDBS_BUILD_DEPENDS +=, libssl-dev
 
 # resolve if release is experimental
-CDBS_BUILD_DEPENDS +=, dpkg-dev (>= 1.17.0)
 EXP_RELEASE = $(filter experimental% UNRELEASED,$(shell dpkg-parsechangelog -S Distribution))
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
@@ -67,7 +70,7 @@
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
 #  * d-shlibs 0.50 required for --multiarch and --exclude-la options
-CDBS_BUILD_DEPENDS +=, d-shlibs (>= 0.50)
+CDBS_BUILD_DEPENDS +=, d-shlibs
 binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
  debian/stamp-local-shlibs-$(lib)
 debian/stamp-local-shlibs-$(lib): \
