## libsecp256k1 0.1~20170810-1+8.0trisquel1

=== debian/changelog ===
libsecp256k1 (0.1~20170810-1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Oct 2018 20:16:34 +0000
