## libsecp256k1 0.1~20210108

=== debian/changelog ===
libsecp256k1 (0.1~20210108-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jan 2021 14:58:55 +0100

libsecp256k1 (0.1~20201209-3) experimental; urgency=medium

  * enable experimental modules extrakeys schnorrsig

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jan 2021 19:54:30 +0100

libsecp256k1 (0.1~20201209-2) experimental; urgency=medium

  * fix enable modules recovery ecdh,
    and stop enable experimental (even when targeting experimental)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jan 2021 18:37:50 +0100

libsecp256k1 (0.1~20201209-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.1
  * copyright: drop superfluous git protocol Source URL
  * use debhelper compatibility 10 (not 0)
  * update source script copyright-check
  * copyright: update coverage
  * unfuzz patch 1001
  * update build routines
  * enable module ecdh;
    closes: bug#940967, thanks to Janus Troelsen
  * simplify build;
    stop build-depend on cdbs libtool dh-autoreconf
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * update long description, based on upstream README

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jan 2021 01:42:12 +0100

libsecp256k1 (0.1~20190905-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Fix have development package depend on pkg-config.
  * Update watch file: Fix syntax.
  * Declare compliance with Debian Policy 4.4.0.
  * Rename patch fix_automake.patch → 1001_fix_automake.patch,
    and document patch name micro-policy in debian/patches/README.
    Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2019 09:38:32 +0200

libsecp256k1 (0.1~20190331-1) experimental; urgency=medium

  [ upstream ]
  * Snapshot from upstream git.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage of packaging.
  * Simplify rules.
    Stop build-depend on dh-buildinfo.
  * Set Rules-Requires-Root: no.
  * Update watch file:
    + Use git mode.
    + Rewrite usage comment.
  * Update patch to fix automake.
  * Update symbols file: Add 3 symbols.
  * Use autoreconf (not custom rules).
    Build-depend on dh-autoreconf.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Apr 2019 11:32:42 +0200
