## libsecp256k1 0.1~20210825

=== debian/changelog ===
libsecp256k1 (0.1~20210825-2) unstable; urgency=medium

  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Sep 2021 23:27:27 +0200

libsecp256k1 (0.1~20210825-1) experimental; urgency=medium

  * declare compliance with Debian Policy 4.6.0
  * improve source helper script copyright-check
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Sep 2021 12:53:53 +0200
