## libsecp256k1 0.1~20220711

=== debian/changelog ===
libsecp256k1 (0.1~20220711-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.1~20220711 (Closes: #1006505)
  * symbols: Add new secp256k1_schnorrsig_sign32

 -- Bastian Germann <bage@debian.org>  Thu, 14 Jul 2022 19:33:49 +0200
