## libsecp256k1 0.2.0

=== debian/changelog ===
libsecp256k1 (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Tue, 27 Dec 2022 13:11:26 +0100

libsecp256k1 (0.2.0-1) experimental; urgency=medium

  * Team upload
  * Scan for releases
  * New upstream version 0.2.0
  * Name the library according to released SONAME

 -- Bastian Germann <bage@debian.org>  Tue, 20 Dec 2022 13:21:54 +0100
