=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/libsecp256k1
 Rules-Requires-Root: no
 
-Package: libsecp256k1-0
+Package: libsecp256k1-1
 Section: libs
 Architecture: any
 Depends:
@@ -53,7 +53,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsecp256k1-0 (= ${binary:Version}),
+Depends: libsecp256k1-1 (= ${binary:Version}),
  pkg-config,
  ${devlibs:Depends},
  ${misc:Depends}
