=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git \
https://github.com/bitcoin/secp256k1 refs/tags/v([\d\.]+)
