## libsecp256k1 0.5.0

=== debian/changelog ===
libsecp256k1 (0.5.0-2) unstable; urgency=medium

  * Team upload
  * Move to pkgconf

 -- Bastian Germann <bage@debian.org>  Mon, 13 May 2024 21:09:44 +0200

libsecp256k1 (0.5.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.5.0 (Closes: #1065745)

 -- Bastian Germann <bage@debian.org>  Sun, 12 May 2024 15:23:18 +0000
