=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libgmp-dev,
  autoconf-archive,
  libssl-dev,
@@ -17,8 +17,7 @@
 Vcs-Browser: https://salsa.debian.org/cryptocoin-team/libsecp256k1
 Rules-Requires-Root: no
 
-Package: libsecp256k1-1
-Section: libs
+Package: libsecp256k1-2
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -53,8 +52,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsecp256k1-1 (= ${binary:Version}),
- pkg-config,
+Depends: libsecp256k1-2 (= ${binary:Version}),
+ pkgconf,
  ${devlibs:Depends},
  ${misc:Depends}
 Description: library for EC operations on curve secp256k1 - development headers
