=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 	dh_auto_configure -- \
 		--enable-module-recovery \
 		--enable-module-ecdh \
-		--enable-experimental \
 		--enable-module-extrakeys \
 		--enable-module-schnorrsig
